Macaulay2 » Documentation
Packages » Macaulay2Doc » A first course in commutative algebra » M2SingularBook » Singular Book 2.1.34
next | previous | forward | backward | up | index | toc

# Singular Book 2.1.34 -- minimal presentations, prune

    i1 : R = QQ[x,y,z,MonomialOrder=>{Weights=>{-1,-1,-1},RevLex},Global=>false]

    o1 = R

    o1 : PolynomialRing

    i2 : M = cokernel matrix{{0,y},{x*y-1,x*z},{x*y+1,x*z}}

    o2 = cokernel | 0     y  |
                  | -1+xy xz |
                  | 1+xy  xz |

                                3
    o2 : R-module, quotient of R

    i3 : null -- prune M -- doesn't work yet

    i4 : stderr << "--this example doesn't work yet" << endl;
    --this example doesn't work yet

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/M2-Singular-Book.m2:924:0.